require_relative 'spec_helper'

module PuzzleReader
  describe self do
    before(:each) do
      File.open('spec/data/sample-input.txt', 'r') do |f|
        @data = PuzzleReader.read(f)
      end
    end

    it "should assaign data set with a given input" do
      @data.should be_a_kind_of DataSet
      @data[0].should be_a_kind_of DataSet
      @data[0][0].should be_a_kind_of DataRow
    end

    describe "#data" do
      it "should have return data" do
        @data[0][0].data.should be == "A B 09:00 10:00 100.00"
        @data[0][1].data.should be == "B Z 11:30 13:30 100.00"
        @data[0][2].data.should be == "A Z 10:00 12:00 300.00"

        @data[1][0].data.should be == "A B 08:00 09:00 50.00"
        @data[1][1].data.should be == "A B 12:00 13:00 300.00"
        @data[1][2].data.should be == "A C 14:00 15:30 175.00"
        @data[1][3].data.should be == "B C 10:00 11:00 75.00"
        @data[1][4].data.should be == "B Z 15:00 16:30 250.00"
        @data[1][5].data.should be == "C B 15:45 16:45 50.00"
        @data[1][6].data.should be == "C Z 16:00 19:00 100.00"
      end
    end
  end
end
